PooledSender (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.transport.PooledSender class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.transport
Class PooledSender

    java.lang.Object
      org.apache.catalina.tribes.transport.AbstractSender
          org.apache.catalina.tribes.transport.PooledSender

All Implemented Interfaces:
  DataSender, MultiPointSender

Direct Known Subclasses:
  PooledMultiSender, PooledParallelSender

    public abstract class PooledSender

extends AbstractSender
implements MultiPointSender

Title:

Description:

Company:

Version:
  1.0
Author:
  not attributable

Constructor Summary
`PooledSender()`

Method Summary
`void` | `add(Member member)`
`void` | `connect()` connect
`void` | `disconnect()` disconnect
`int` | `getInPoolSize()`
`int` | `getInUsePoolSize()`
`abstract DataSender` | `getNewDataSender()`
`int` | `getPoolSize()`
`DataSender` | `getSender()`
`boolean` | `keepalive()` keepalive
`void` | `remove(Member member)`
`void` | `returnSender(DataSender sender)`
`void` | `setPoolSize(int poolSize)`

Methods inherited from class org.apache.catalina.tribes.transport.AbstractSender
`getAddress, getAttempt, getConnectTime, getDestination, getDirect, getDirectBuffer, getKeepAliveCount, getKeepAliveTime, getMaxRetryAttempts, getOoBInline, getPort, getRequestCount, getRxBufSize, getSoKeepAlive, getSoLingerOn, getSoLingerTime, getSoReuseAddress, getSoTrafficClass, getTcpNoDelay, getThrowOnFailedAck, getTimeout, getTxBufSize, isConnected, setAddress, setAttempt, setConnected, setConnectTime, setDestination, setDirect, setDirectBuffer, setKeepAliveCount, setKeepAliveTime, setMaxRetryAttempts, setOoBInline, setPort, setRequestCount, setRxBufSize, setSoKeepAlive, setSoLingerOn, setSoLingerTime, setSoReuseAddress, setSoTrafficClass, setTcpNoDelay, setThrowOnFailedAck, setTimeout, setTxBufSize, transferProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.catalina.tribes.transport.MultiPointSender
`sendMessage, setDirectBuffer, setMaxRetryAttempts, setRxBufSize, setTxBufSize`

Methods inherited from interface org.apache.catalina.tribes.transport.DataSender
`getConnectTime, getRequestCount, isConnected, setKeepAliveCount, setKeepAliveTime, setTimeout`

Constructor Detail

### PooledSender

    public PooledSender()

Method Detail

### getNewDataSender

    public abstract DataSender getNewDataSender()

### getSender

    public DataSender getSender()

### returnSender

    public void returnSender(DataSender sender)

### connect

    public void connect()
                 throws java.io.IOException

  Description copied from class: `AbstractSender`
  connect

  Specified by:
    `connect` in interface `DataSender`
  Specified by:
    `connect` in class `AbstractSender`
  Throws:
    `java.io.IOException`

### disconnect

    public void disconnect()

  Description copied from class: `AbstractSender`
  disconnect

  Specified by:
    `disconnect` in interface `DataSender`
  Specified by:
    `disconnect` in class `AbstractSender`

### getInPoolSize

    public int getInPoolSize()

### getInUsePoolSize

    public int getInUsePoolSize()

### setPoolSize

    public void setPoolSize(int poolSize)

### getPoolSize

    public int getPoolSize()

### keepalive

    public boolean keepalive()

  Description copied from class: `AbstractSender`
  keepalive

  Specified by:
    `keepalive` in interface `DataSender`
  Overrides:
    `keepalive` in class `AbstractSender`
  Returns:
    boolean

### add

    public void add(Member member)

  Specified by:
    `add` in interface `MultiPointSender`

### remove

    public void remove(Member member)

  Specified by:
    `remove` in interface `MultiPointSender`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.